# Customer object

{% hint style="warning" %}
Missing information in form of empty strings will cause negative scores during validation. To disable input validation, set customer to null{}.
{% endhint %}

### Customer object for QES process <a href="#are-there-mandatory-fields-for-qes" id="are-there-mandatory-fields-for-qes"></a>

For the QES case you have two options on how to send the customer.

1. Customer is empty&#x20;
   1. *"customer": { }*
2. Customer has at least the following data:&#x20;
   1. *"customer": {*&#x20;

      *"name": "Test",*

      *"firstname": "ExampleFirstname",*

      *"dateOfBirth": "01.01.1990",*

      *"nationality": "CHE"}*

Additionally you can use all the other data fields, provided in your API documentation.

### Special features regarding nationality in the customer object

1. You can only post ONE nationality per customer object
2. We use the country codes from ISO 3166-1 alpha-3 codes. You can find all of the provided nationalities an the according ISO 3166-1 alpha-3 code [here](https://fidentity.ch/en/gtc) in our List of allowed documents.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fidentity.ch/api/create-a-new-fidentity-process/customer-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
